/*global window: true*/

'use strict';

var jQuery = require('jquery');
require('../vendors/chosen/chosen.jquery');

var angular = require('angular');
require('angular-ui-utils/modules/jq/jq');
require('angular-ui-utils/modules/event/event');
require('angular-animate');
require('angular-ui-bootstrap');
require('angular-xeditable/dist/js/xeditable');
//import 'ui-grid';

var mod = angular.module('angulr', [
    'ui.jq',
    'ui.event',
    'ngAnimate',
    'ui.bootstrap',
    'xeditable',
    //'ui.grid'
  ])

  // Directives
  .directive('uiButterbar', require('./directives/uiButterbar'))
  .directive('uiToggleClass', require('./directives/uiToggleClass'))
  .directive('uiShift', require('./directives/uiShift'))
  .directive('uiScrollTo', require('./directives/uiScrollTo'))
  .directive('uiFullscreen', require('./directives/uiFullscreen'))
  .directive('togglePanel', require('./directives/togglePanel'))

  // Run
  .run(['$window', function ($window) {
      // add 'ie' classes to html
      var body = angular.element($window.document.body);
      var userAgent = $window.navigator.userAgent;
      var isIE = !!userAgent.match(/MSIE/i);

      if (isIE) body.addClass('ie');
      if (isSmartDevice()) body.addClass('smart');

      function isSmartDevice() {
        // Adapted from http://www.detectmobilebrowsers.com
        var ua = userAgent || $window.navigator.vendor || $window.opera;
        // Checks for iOs, Android, Blackberry, Opera Mini, and Windows mobile devices
        return (/iPhone|iPod|iPad|Silk|Android|BlackBerry|Opera Mini|IEMobile/)
          .test(ua);
      }
  }])

  // Custom xeditatable
  .run([
    'editableOptions', 'editableThemes',
    function (editableOptions, editableThemes) {
    editableThemes.bs3.inputClass = 'input-sm';
    editableThemes.bs3.buttonsClass = 'btn-sm';
    editableOptions.theme = 'bs3';
  }]);

module.exports = mod.name;
