/*global navigator: true*/

'use strict';

var screenfull = require('screenfull');
var $ = require('jquery');

var uiFullscreen = ['$document', '$window', function($document, $window) {
   return {
     restrict: 'AC',
     template:'<i class="fa fa-expand fa-fw text"></i><i class="fa fa-compress fa-fw text-active"></i>',
     link: function(scope, el, attr) {
        el.addClass('hide');
        // disable on ie11
        if (screenfull.enabled && !navigator.userAgent.match(/Trident.*rv:11\./)) {
          el.removeClass('hide');
        }
        el.on('click', function() {
          if (attr.target) {
            screenfull.toggle($(attr.target)[0]);
          }
        });
        if (screenfull && screenfull.raw && screenfull.raw.fullscreenchange) {
          $document.on(screenfull.raw.fullscreenchange, function () {
            if (screenfull.isFullscreen) {
              el.addClass('active');
            } else {
              el.removeClass('active');
            }
          });
        }
     }
   };
}];

module.exports = uiFullscreen;
