
'use strict';

/**
  @ngdoc directive
  @name ui-scroll-to
  @restrict AC
  @description
  Scroll to element when click, attr value for target element.
  ### Example
  <a ui-scroll-to="target"></a>
*/
var uiScrollTo = ['$location', '$anchorScroll', function($location, $anchorScroll) {
  return {
    restrict: 'AC',
    link: function(scope, el, attr) {
      el.on('click', function(e) {
        $location.hash(attr.uiScrollTo);
        $anchorScroll();
      });
    }
  };
}];

module.exports = uiScrollTo;
